# TEST-EPOW.R - Functions for doing "epow" tests.


# DO TEST AND PRINT RESULTS.  Takes test parameters from global variables.

do.epow.test <- function ()
{
  options(width=135)

  met.calls <<- 0
  epow.gen.calls <<- 0

  print (c (stepsize=stepsize, pow=pow, shift=shift, scale=scale))
  cat("\n")

  print (c (seed=seed, rep=rep, M.ais=M.ais, n.ais=n.ais, 
                                M.lis=M.lis, n.lis=n.lis, n.trans=n.trans))
  cat("\n")

  print (round (test (scale, rep, epow.ais, M.ais, n.ais, 
                                  epow.lis, M.lis, n.lis, n.trans,
                                  seed), 8))
  cat("\n")

  print (c (met.calls=met.calls, met.rej.rate=round(met.rejections/met.calls,3),
            gen.calls=epow.gen.calls))
}


# DO TEST WITH INDEPENDENT SAMPLING AND PRINT RESULTS.  Takes test parameters 
# from global variables.

do.epow.test.ind <- function ()
{
  options(width=135)

  epow.gen.calls <<- 0

  print (c (stepsize=stepsize, pow=pow, shift=shift, scale=scale))
  cat("\n")

  print (c (seed=seed, rep=rep, M.ais=M.ais, n.ais=n.ais, 
                                M.lis=M.lis, n.lis=n.lis, n.trans=n.trans))
  cat("\n")

  print (round (test (scale, rep, epow.ais.ind, M.ais, n.ais, 
                                  epow.lis.ind, M.lis, n.lis, n.trans,
                                  seed), 8))
  cat("\n")

  print (c (gen.calls=epow.gen.calls))
}
